Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.view
Class ModelViewPart.PropertyRefreshListener

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.view.SWTThreadModelListener
              org.eclipse.amp.axf.view.SWTAsyncModelListener
                  org.eclipse.amp.axf.view.ModelViewPart.PropertyRefreshListener

All Implemented Interfaces:
  ILifeCycleListener, IStateListener

Enclosing class:
  ModelViewPart

     class ModelViewPart.PropertyRefreshListener

extends SWTAsyncModelListener

The listener interface for receiving propertyRefresh events. The class that is interested in processing a propertyRefresh event implements this interface, and the object created with that class is registered with a component using the component's `addPropertyRefreshListener`method. When the propertyRefresh event occurs, that object's appropriate method is invoked.``

See Also:
  `PropertyRefreshEvent`

Field Summary

Fields inherited from class org.eclipse.amp.axf.view.SWTAsyncModelListener
`updating`

Fields inherited from class org.eclipse.amp.axf.view.SWTThreadModelListener
`widget`

Constructor Summary
`ModelViewPart.PropertyRefreshListener(Control control)` Instantiates a new property refresh listener.

Method Summary
`void` | `update(IModel model)` Update.

Methods inherited from class org.eclipse.amp.axf.view.SWTAsyncModelListener
`beginPainting, endPainting, forceModelNotify, isWaitForUpdate, setWaitForUpdate, stateChange`

Methods inherited from class org.eclipse.amp.axf.view.SWTThreadModelListener
`setWidget`

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnd, observationEnding, observeCreate, observeInitialize, observeStart, observeStop, observeUpdate, observing, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelViewPart.PropertyRefreshListener

    public ModelViewPart.PropertyRefreshListener(Control control)

  Instantiates a new property refresh listener.

  Parameters:
    `control` - the control

Method Detail

### update

    public void update(IModel model)

  Description copied from class: `SWTThreadModelListener`
  Update.

  Specified by:
    `update` in class `SWTThreadModelListener`
  Parameters:
    `model` -
  See Also:
    `SWTThreadModelListener.update(org.eclipse.amp.axf.core.IModel)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors